bug 1412
[scilab.git] / scilab / modules / output_stream / Makefile.in
1 # Makefile.in generated by automake 1.10.2 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
19 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
20 #
21 # This file must be used under the terms of the CeCILL.
22 # This source file is licensed as described in the file COPYING, which
23 # you should have received as part of this distribution.  The terms
24 # are also available at
25 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
26 #
27
28 ##########
29 ### Makefile included stuff
30 ### Target, variable, suffixes which are supposed to be usefull in every makefile.am
31 ##########
32
33
34
35 VPATH = @srcdir@
36 pkgdatadir = $(datadir)/@PACKAGE@
37 pkglibdir = $(libdir)/@PACKAGE@
38 pkgincludedir = $(includedir)/@PACKAGE@
39 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
40 install_sh_DATA = $(install_sh) -c -m 644
41 install_sh_PROGRAM = $(install_sh) -c
42 install_sh_SCRIPT = $(install_sh) -c
43 INSTALL_HEADER = $(INSTALL_DATA)
44 transform = $(program_transform_name)
45 NORMAL_INSTALL = :
46 PRE_INSTALL = :
47 POST_INSTALL = :
48 NORMAL_UNINSTALL = :
49 PRE_UNINSTALL = :
50 POST_UNINSTALL = :
51 build_triplet = @build@
52 host_triplet = @host@
53 DIST_COMMON = $(libscioutput_stream_la_include_HEADERS) \
54         $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
55         $(top_srcdir)/Makefile.incl.am
56 @NEED_JAVA_TRUE@am__append_1 = java
57 subdir = modules/output_stream
58 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
59 am__aclocal_m4_deps = $(top_srcdir)/m4/docbook.m4 \
60         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
61         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/intel_compiler.m4 \
62         $(top_srcdir)/m4/java.m4 $(top_srcdir)/m4/lib-ld.m4 \
63         $(top_srcdir)/m4/libhdf5.m4 $(top_srcdir)/m4/libs_by_debian.m4 \
64         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
65         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ocaml.m4 \
66         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
67         $(top_srcdir)/m4/pvm.m4 $(top_srcdir)/m4/relocatable.m4 \
68         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
69         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
70         $(top_srcdir)/configure.ac
71 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
72         $(ACLOCAL_M4)
73 mkinstalldirs = $(install_sh) -d
74 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
75 CONFIG_CLEAN_FILES =
76 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
77 am__vpath_adj = case $$p in \
78     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
79     *) f=$$p;; \
80   esac;
81 am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
82 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
83         "$(DESTDIR)$(libscioutput_stream_la_etcdir)" \
84         "$(DESTDIR)$(libscioutput_stream_la_rootdir)" \
85         "$(DESTDIR)$(libscioutput_stream_la_sci_gatewaydir)" \
86         "$(DESTDIR)$(libscioutput_stream_la_includedir)"
87 pkglibLTLIBRARIES_INSTALL = $(INSTALL)
88 LTLIBRARIES = $(pkglib_LTLIBRARIES)
89 libscioutput_stream_la_LIBADD =
90 am__objects_1 = libscioutput_stream_la-erro.lo \
91         libscioutput_stream_la-cerro.lo \
92         libscioutput_stream_la-Scierror.lo \
93         libscioutput_stream_la-msgstore.lo \
94         libscioutput_stream_la-msgout.lo \
95         libscioutput_stream_la-msgs.lo \
96         libscioutput_stream_la-msgstxt.lo \
97         libscioutput_stream_la-basout.lo \
98         libscioutput_stream_la-sciprint.lo \
99         libscioutput_stream_la-sciprint_full.lo \
100         libscioutput_stream_la-errmds.lo \
101         libscioutput_stream_la-errmsg.lo \
102         libscioutput_stream_la-error.lo \
103         libscioutput_stream_la-error_internal.lo \
104         libscioutput_stream_la-do_xxprintf.lo \
105         libscioutput_stream_la-set_xxprintf.lo
106 am__objects_2 = wspdsp.lo wmdsp.lo strdsp.lo prntid.lo print.lo \
107         lspdsp.lo fmttyp.lo fmt.lo dspdsp.lo dmrdsp.lo dmpdsp.lo \
108         dmdspf.lo dmdsp.lo dldsp.lo basouttofile.lo formatnumber.lo
109 am__objects_3 = libscioutput_stream_la-gw_output_stream.lo \
110         libscioutput_stream_la-sci_print.lo \
111         libscioutput_stream_la-sci_mprintf.lo \
112         libscioutput_stream_la-sci_msprintf.lo \
113         libscioutput_stream_la-sci_disp.lo
114 am__objects_4 = intprint.lo intdisp.lo
115 am_libscioutput_stream_la_OBJECTS = $(am__objects_1) $(am__objects_2) \
116         $(am__objects_3) $(am__objects_4)
117 libscioutput_stream_la_OBJECTS = $(am_libscioutput_stream_la_OBJECTS)
118 libscioutput_stream_la_LINK = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) \
119         $(LIBTOOLFLAGS) --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) \
120         $(libscioutput_stream_la_LDFLAGS) $(LDFLAGS) -o $@
121 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
122 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
123 am__depfiles_maybe = depfiles
124 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
125         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
126 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
127         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
128         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
129 CCLD = $(CC)
130 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
131         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
132         $(LDFLAGS) -o $@
133 F77COMPILE = $(F77) $(AM_FFLAGS) $(FFLAGS)
134 LTF77COMPILE = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
135         --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS)
136 F77LD = $(F77)
137 F77LINK = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
138         --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) $(AM_LDFLAGS) \
139         $(LDFLAGS) -o $@
140 SOURCES = $(libscioutput_stream_la_SOURCES)
141 DIST_SOURCES = $(libscioutput_stream_la_SOURCES)
142 libscioutput_stream_la_etcDATA_INSTALL = $(INSTALL_DATA)
143 libscioutput_stream_la_rootDATA_INSTALL = $(INSTALL_DATA)
144 libscioutput_stream_la_sci_gatewayDATA_INSTALL = $(INSTALL_DATA)
145 DATA = $(libscioutput_stream_la_etc_DATA) \
146         $(libscioutput_stream_la_root_DATA) \
147         $(libscioutput_stream_la_sci_gateway_DATA)
148 libscioutput_stream_la_includeHEADERS_INSTALL = $(INSTALL_HEADER)
149 HEADERS = $(libscioutput_stream_la_include_HEADERS)
150 ETAGS = etags
151 CTAGS = ctags
152 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
153 ACLOCAL = @ACLOCAL@
154 ALL_LINGUAS = @ALL_LINGUAS@
155 AMTAR = @AMTAR@
156 ANT = @ANT@
157 AR = @AR@
158 AUTOCONF = @AUTOCONF@
159 AUTOHEADER = @AUTOHEADER@
160 AUTOMAKE = @AUTOMAKE@
161 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
162 AWK = @AWK@
163 BATIK = @BATIK@
164 BLAS_LIBS = @BLAS_LIBS@
165 CC = @CC@
166 CCDEPMODE = @CCDEPMODE@
167 CFLAGS = @CFLAGS@
168 COMMONS_IO = @COMMONS_IO@
169 COMMONS_LOGGING = @COMMONS_LOGGING@
170 CPP = @CPP@
171 CPPFLAGS = @CPPFLAGS@
172 CXX = @CXX@
173 CXXCPP = @CXXCPP@
174 CXXDEPMODE = @CXXDEPMODE@
175 CXXFLAGS = @CXXFLAGS@
176 CYGPATH_W = @CYGPATH_W@
177 DEFS = @DEFS@
178 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
179 DEPDIR = @DEPDIR@
180 DOCBOOK_ROOT = @DOCBOOK_ROOT@
181 DSYMUTIL = @DSYMUTIL@
182 ECHO = @ECHO@
183 ECHO_C = @ECHO_C@
184 ECHO_N = @ECHO_N@
185 ECHO_T = @ECHO_T@
186 EGREP = @EGREP@
187 EXEEXT = @EXEEXT@
188 F77 = @F77@
189 FFLAGS = @FFLAGS@
190 FFTW3_LIB = @FFTW3_LIB@
191 FFTW_ENABLE = @FFTW_ENABLE@
192 FLEXDOCK = @FLEXDOCK@
193 FLIBS = @FLIBS@
194 FOP = @FOP@
195 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
196 GIWS_BIN = @GIWS_BIN@
197 GLUEGEN_RT = @GLUEGEN_RT@
198 GMSGFMT = @GMSGFMT@
199 GMSGFMT_015 = @GMSGFMT_015@
200 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
201 GREP = @GREP@
202 GUI_ENABLE = @GUI_ENABLE@
203 HDF5_FLAGS = @HDF5_FLAGS@
204 HDF5_LIBS = @HDF5_LIBS@
205 HELP_ENABLE = @HELP_ENABLE@
206 INSTALL = @INSTALL@
207 INSTALL_DATA = @INSTALL_DATA@
208 INSTALL_PROGRAM = @INSTALL_PROGRAM@
209 INSTALL_SCRIPT = @INSTALL_SCRIPT@
210 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
211 INTLLIBS = @INTLLIBS@
212 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
213 JAR = @JAR@
214 JAVA = @JAVA@
215 JAVAC = @JAVAC@
216 JAVAH = @JAVAH@
217 JAVASCI_ENABLE = @JAVASCI_ENABLE@
218 JAVA_DEBUG_OPTIONS = @JAVA_DEBUG_OPTIONS@
219 JAVA_ENABLE = @JAVA_ENABLE@
220 JAVA_G = @JAVA_G@
221 JAVA_HOME = @JAVA_HOME@
222 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
223 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
224 JDB = @JDB@
225 JEUCLID_CORE = @JEUCLID_CORE@
226 JHALL = @JHALL@
227 JOGL = @JOGL@
228 JROSETTA_API = @JROSETTA_API@
229 JROSETTA_ENGINE = @JROSETTA_ENGINE@
230 LAPACK_LIBS = @LAPACK_LIBS@
231 LDFLAGS = @LDFLAGS@
232 LIBICONV = @LIBICONV@
233 LIBINTL = @LIBINTL@
234 LIBOBJS = @LIBOBJS@
235 LIBS = @LIBS@
236 LIBTOOL = @LIBTOOL@
237 LN_S = @LN_S@
238 LOOKS = @LOOKS@
239 LTLIBICONV = @LTLIBICONV@
240 LTLIBINTL = @LTLIBINTL@
241 LTLIBOBJS = @LTLIBOBJS@
242 MAINT = @MAINT@
243 MAKEINFO = @MAKEINFO@
244 MATIO_CFLAGS = @MATIO_CFLAGS@
245 MATIO_ENABLE = @MATIO_ENABLE@
246 MATIO_LIBS = @MATIO_LIBS@
247 MKDIR_P = @MKDIR_P@
248 MSGCAT = @MSGCAT@
249 MSGFMT = @MSGFMT@
250 MSGFMT_015 = @MSGFMT_015@
251 MSGMERGE = @MSGMERGE@
252 NM = @NM@
253 NMEDIT = @NMEDIT@
254 OBJEXT = @OBJEXT@
255 OCAMLC = @OCAMLC@
256 OCAMLDEP = @OCAMLDEP@
257 OCAMLLEX = @OCAMLLEX@
258 OCAMLOPT = @OCAMLOPT@
259 OCAMLYACC = @OCAMLYACC@
260 PACKAGE = @PACKAGE@
261 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
262 PACKAGE_NAME = @PACKAGE_NAME@
263 PACKAGE_STRING = @PACKAGE_STRING@
264 PACKAGE_TARNAME = @PACKAGE_TARNAME@
265 PACKAGE_VERSION = @PACKAGE_VERSION@
266 PATH_SEPARATOR = @PATH_SEPARATOR@
267 PCRE_CFLAGS = @PCRE_CFLAGS@
268 PCRE_CONFIG = @PCRE_CONFIG@
269 PCRE_LIBS = @PCRE_LIBS@
270 PCRE_VERSION = @PCRE_VERSION@
271 PKG_CONFIG = @PKG_CONFIG@
272 POSUB = @POSUB@
273 POW_LIB = @POW_LIB@
274 PVMARCH = @PVMARCH@
275 PVMGETARCH = @PVMGETARCH@
276 PVM_ENABLE = @PVM_ENABLE@
277 PVM_INCLUDE = @PVM_INCLUDE@
278 PVM_LIB = @PVM_LIB@
279 PYTHON = @PYTHON@
280 RANLIB = @RANLIB@
281 RELOCATABLE = @RELOCATABLE@
282 RT_LIB = @RT_LIB@
283 SAXON = @SAXON@
284 SCICOS_ENABLE = @SCICOS_ENABLE@
285 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
286 SCIPAD_ENABLE = @SCIPAD_ENABLE@
287 SED = @SED@
288 SET_MAKE = @SET_MAKE@
289 SET_RELOCATABLE = @SET_RELOCATABLE@
290 SHELL = @SHELL@
291 SKINLF = @SKINLF@
292 STRIP = @STRIP@
293 SWIG_BIN = @SWIG_BIN@
294 SWIG_JAVA = @SWIG_JAVA@
295 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
296 TCLTK_LIBS = @TCLTK_LIBS@
297 TCL_INC_PATH = @TCL_INC_PATH@
298 TERMCAP_LIB = @TERMCAP_LIB@
299 TK_INC_PATH = @TK_INC_PATH@
300 UMFPACK_ENABLE = @UMFPACK_ENABLE@
301 UMFPACK_LIB = @UMFPACK_LIB@
302 USE_NLS = @USE_NLS@
303 VERSION = @VERSION@
304 WITH_OCAML = @WITH_OCAML@
305 WITH_TKSCI = @WITH_TKSCI@
306 XGETTEXT = @XGETTEXT@
307 XGETTEXT_015 = @XGETTEXT_015@
308 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
309 XMKMF = @XMKMF@
310 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
311 XML_APIS_EXT = @XML_APIS_EXT@
312 XML_CONFIG = @XML_CONFIG@
313 XML_FLAGS = @XML_FLAGS@
314 XML_LIBS = @XML_LIBS@
315 XML_VERSION = @XML_VERSION@
316 X_CFLAGS = @X_CFLAGS@
317 X_EXTRA_LIBS = @X_EXTRA_LIBS@
318 X_LIBS = @X_LIBS@
319 X_PRE_LIBS = @X_PRE_LIBS@
320 abs_builddir = @abs_builddir@
321 abs_srcdir = @abs_srcdir@
322 abs_top_builddir = @abs_top_builddir@
323 abs_top_srcdir = @abs_top_srcdir@
324 ac_ct_CC = @ac_ct_CC@
325 ac_ct_CXX = @ac_ct_CXX@
326 ac_ct_F77 = @ac_ct_F77@
327 am__include = @am__include@
328 am__leading_dot = @am__leading_dot@
329 am__quote = @am__quote@
330 am__tar = @am__tar@
331 am__untar = @am__untar@
332 bindir = @bindir@
333 build = @build@
334 build_alias = @build_alias@
335 build_cpu = @build_cpu@
336 build_os = @build_os@
337 build_vendor = @build_vendor@
338 builddir = @builddir@
339 cxx_present = @cxx_present@
340 datadir = @datadir@
341 datarootdir = @datarootdir@
342 docdir = @docdir@
343 dvidir = @dvidir@
344 exec_prefix = @exec_prefix@
345 host = @host@
346 host_alias = @host_alias@
347 host_cpu = @host_cpu@
348 host_os = @host_os@
349 host_vendor = @host_vendor@
350 htmldir = @htmldir@
351 includedir = @includedir@
352 infodir = @infodir@
353 install_sh = @install_sh@
354 libdir = @libdir@
355 libexecdir = @libexecdir@
356 localedir = @localedir@
357 localstatedir = @localstatedir@
358 mandir = @mandir@
359 mkdir_p = @mkdir_p@
360 oldincludedir = @oldincludedir@
361 pdfdir = @pdfdir@
362 prefix = @prefix@
363 program_transform_name = @program_transform_name@
364 psdir = @psdir@
365 sbindir = @sbindir@
366 sharedstatedir = @sharedstatedir@
367 srcdir = @srcdir@
368 sysconfdir = @sysconfdir@
369 target_alias = @target_alias@
370 top_build_prefix = @top_build_prefix@
371 top_builddir = @top_builddir@
372 top_srcdir = @top_srcdir@
373 OUTPUT_STREAM_C_SOURCES = src/c/erro.c \
374                                 src/c/cerro.c \
375                                 src/c/Scierror.c \
376                                 src/c/msgstore.c \
377                                 src/c/msgout.c \
378                                 src/c/msgs.c \
379                                 src/c/msgstxt.c \
380                                 src/c/basout.c \
381                                 src/c/sciprint.c \
382                                 src/c/sciprint_full.c \
383                                 src/c/errmds.c \
384                                 src/c/errmsg.c \
385                                 src/c/error.c \
386                                 src/c/error_internal.c \
387                                 src/c/do_xxprintf.c \
388                                 src/c/set_xxprintf.c
389
390 OUTPUT_STREAM_FORTRAN_SOURCES = src/fortran/wspdsp.f \
391                 src/fortran/wmdsp.f \
392                 src/fortran/strdsp.f \
393                 src/fortran/prntid.f \
394                 src/fortran/print.f \
395                 src/fortran/lspdsp.f \
396                 src/fortran/fmttyp.f \
397                 src/fortran/fmt.f \
398                 src/fortran/dspdsp.f \
399                 src/fortran/dmrdsp.f \
400                 src/fortran/dmpdsp.f \
401                 src/fortran/dmdspf.f \
402                 src/fortran/dmdsp.f \
403                 src/fortran/dldsp.f \
404                 src/fortran/basouttofile.f \
405                 src/fortran/formatnumber.f
406
407 GATEWAY_C_SOURCES = sci_gateway/c/gw_output_stream.c \
408                 sci_gateway/c/sci_print.c \
409                 sci_gateway/c/sci_mprintf.c \
410                 sci_gateway/c/sci_msprintf.c \
411                 sci_gateway/c/sci_disp.c
412
413 GATEWAY_FORTRAN_SOURCES = sci_gateway/fortran/intprint.f \
414                         sci_gateway/fortran/intdisp.f
415
416 libscioutput_stream_la_CFLAGS = -I$(top_srcdir)/libs/MALLOC/includes/ \
417 -I$(srcdir)/includes/ \
418 -I$(top_srcdir)/modules/core/includes \
419 -I$(srcdir)/src/c/ \
420 -I$(top_srcdir)/modules/string/includes
421
422 pkglib_LTLIBRARIES = libscioutput_stream.la
423 libscioutput_stream_la_LDFLAGS = -version-info $(SCILAB_LIBRARY_VERSION)
424 libscioutput_stream_la_SOURCES = $(OUTPUT_STREAM_C_SOURCES) $(OUTPUT_STREAM_FORTRAN_SOURCES) $(GATEWAY_C_SOURCES) $(GATEWAY_FORTRAN_SOURCES) $(JNI_SOURCES)
425
426 # For the code check (splint)
427 CHECK_SRC = $(OUTPUT_STREAM_C_SOURCES) $(GATEWAY_C_SOURCES)
428 INCLUDE_FLAGS = $(libscioutput_stream_la_CFLAGS)
429
430 # Many stuff depends on this one ... commented
431 #libscioutput_stream_la_LIBADD =  $(top_builddir)/modules/console/libsciconsole.la $(top_builddir)/modules/string/libscistring.la $(top_builddir)/modules/fileio/libscifileio.la $(top_builddir)/modules/shell/libscishell.la $(top_builddir)/modules/core/libscicore.la $(top_builddir)/libs/MALLOC/libscimalloc.la
432 #### Target ######
433 modulename = output_stream
434
435 #### output_stream : Conf files ####
436 libscioutput_stream_la_rootdir = $(mydatadir)
437 libscioutput_stream_la_root_DATA = changelog.txt license.txt readme.txt version.xml
438
439 #### output_stream : init scripts ####
440 libscioutput_stream_la_etcdir = $(mydatadir)/etc
441 libscioutput_stream_la_etc_DATA = etc/output_stream.quit etc/output_stream.start
442
443 #### output_stream : gateway declaration ####
444 libscioutput_stream_la_sci_gatewaydir = $(mydatadir)/sci_gateway
445 libscioutput_stream_la_sci_gateway_DATA = sci_gateway/output_stream_gateway.xml
446
447 #### output_stream : include files ####
448 libscioutput_stream_la_includedir = $(pkgincludedir)/output_stream
449 libscioutput_stream_la_include_HEADERS = includes/cerro.h \
450 includes/erro.h \
451 includes/do_error_number.h \
452 includes/errmds.h \
453 includes/sciprint.h \
454 includes/Scierror.h \
455 includes/basout.h \
456 includes/msgs.h \
457 includes/sciprint_full.h \
458 includes/do_xxprintf.h \
459 includes/gw_output_stream.h
460
461
462 # Where all the Scilab stuff is installed (macros, help, ...)
463 mydatadir = $(pkgdatadir)/modules/$(modulename)
464
465 # splint options
466 SPLINT_OPTIONS = -weak -booltype BOOL
467
468 ########################### JAVA ######################################
469 #### We are delegating java compilation to ant... Thanks to that
470 #### the procedure will be the same with Microsoft Windows (C)
471 #### and Linux/Unix
472 #######################################################################
473 TARGETS_ALL = $(am__append_1)
474
475 ################ MACROS ######################
476 # Rule to build a macro
477 # NOT USED  AT THE MOMENT
478 SUFFIXES = .sci 
479
480 ########### INSTALL DOCUMENTATION ###################
481
482 # Install documentation files into the right target
483 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
484 # automake needs the html files to be present which is not the case when
485 # we are building Scilab
486
487 # Where it should be installed
488 pkgdocdir = $(mydatadir)
489
490 # What is the mask of the help source
491 DOCMASKXML = *.xml
492
493 # What is the mask of the MathML sources
494 DOCMASKMML = *.mml
495
496 ########### INSTALL DATA ###################
497 # Install macros, help & demos
498 # Where it should be installed
499 pkgmacrosdir = $(mydatadir)
500 # Which directory we process
501 MACRODIRS = macros/
502 # Mask of the Scilab sources macros
503 MACROMASK = *.sci
504 # Mask of the Scilab executable sources macros
505 MACROBUILDMASK = *.sce
506 # Mask of the Scilab compiled macros
507 MACROBINMASK = *.bin
508 # List of the standard directory for tests
509 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests
510 # Where the demos should be installed
511 pkgdemosdir = $(mydatadir)
512 # List of the standard directory for demos
513 DEMOS_DIR = demos
514 # List of the standard directory for examples
515 EXAMPLES_DIR = examples
516 # Where to export JAVA archives (.jar)
517 JARDIR = jar/
518 # JAR files mask
519 JARMASK = *.jar
520 # Chapter file 
521 HELP_CHAPTERDIR = help/
522 HELP_CHAPTERFILE = addchapter.sce
523 HELP_CHAPTERLANG = en_US fr_FR pt_BR
524 all: all-am
525
526 .SUFFIXES:
527 .SUFFIXES: .sci .bin .c .f .lo .o .obj
528 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
529         @for dep in $?; do \
530           case '$(am__configure_deps)' in \
531             *$$dep*) \
532               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
533                 && { if test -f $@; then exit 0; else break; fi; }; \
534               exit 1;; \
535           esac; \
536         done; \
537         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  modules/output_stream/Makefile'; \
538         cd $(top_srcdir) && \
539           $(AUTOMAKE) --foreign  modules/output_stream/Makefile
540 .PRECIOUS: Makefile
541 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
542         @case '$?' in \
543           *config.status*) \
544             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
545           *) \
546             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
547             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
548         esac;
549
550 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
551         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
552
553 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
554         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
555 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
556         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
557 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
558         @$(NORMAL_INSTALL)
559         test -z "$(pkglibdir)" || $(MKDIR_P) "$(DESTDIR)$(pkglibdir)"
560         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
561           if test -f $$p; then \
562             f=$(am__strip_dir) \
563             echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(pkglibLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(pkglibdir)/$$f'"; \
564             $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(pkglibLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(pkglibdir)/$$f"; \
565           else :; fi; \
566         done
567
568 uninstall-pkglibLTLIBRARIES:
569         @$(NORMAL_UNINSTALL)
570         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
571           p=$(am__strip_dir) \
572           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$p'"; \
573           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$p"; \
574         done
575
576 clean-pkglibLTLIBRARIES:
577         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
578         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
579           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
580           test "$$dir" != "$$p" || dir=.; \
581           echo "rm -f \"$${dir}/so_locations\""; \
582           rm -f "$${dir}/so_locations"; \
583         done
584 libscioutput_stream.la: $(libscioutput_stream_la_OBJECTS) $(libscioutput_stream_la_DEPENDENCIES) 
585         $(libscioutput_stream_la_LINK) -rpath $(pkglibdir) $(libscioutput_stream_la_OBJECTS) $(libscioutput_stream_la_LIBADD) $(LIBS)
586
587 mostlyclean-compile:
588         -rm -f *.$(OBJEXT)
589
590 distclean-compile:
591         -rm -f *.tab.c
592
593 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-Scierror.Plo@am__quote@
594 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-basout.Plo@am__quote@
595 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-cerro.Plo@am__quote@
596 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-do_xxprintf.Plo@am__quote@
597 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-errmds.Plo@am__quote@
598 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-errmsg.Plo@am__quote@
599 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-erro.Plo@am__quote@
600 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-error.Plo@am__quote@
601 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-error_internal.Plo@am__quote@
602 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-gw_output_stream.Plo@am__quote@
603 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-msgout.Plo@am__quote@
604 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-msgs.Plo@am__quote@
605 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-msgstore.Plo@am__quote@
606 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-msgstxt.Plo@am__quote@
607 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-sci_disp.Plo@am__quote@
608 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-sci_mprintf.Plo@am__quote@
609 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-sci_msprintf.Plo@am__quote@
610 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-sci_print.Plo@am__quote@
611 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-sciprint.Plo@am__quote@
612 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-sciprint_full.Plo@am__quote@
613 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscioutput_stream_la-set_xxprintf.Plo@am__quote@
614
615 .c.o:
616 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
617 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
618 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
619 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
620 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
621
622 .c.obj:
623 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
624 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
625 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
626 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
627 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
628
629 .c.lo:
630 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
631 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
632 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
633 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
634 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
635
636 libscioutput_stream_la-erro.lo: src/c/erro.c
637 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-erro.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-erro.Tpo -c -o libscioutput_stream_la-erro.lo `test -f 'src/c/erro.c' || echo '$(srcdir)/'`src/c/erro.c
638 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-erro.Tpo $(DEPDIR)/libscioutput_stream_la-erro.Plo
639 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/erro.c' object='libscioutput_stream_la-erro.lo' libtool=yes @AMDEPBACKSLASH@
640 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
641 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-erro.lo `test -f 'src/c/erro.c' || echo '$(srcdir)/'`src/c/erro.c
642
643 libscioutput_stream_la-cerro.lo: src/c/cerro.c
644 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-cerro.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-cerro.Tpo -c -o libscioutput_stream_la-cerro.lo `test -f 'src/c/cerro.c' || echo '$(srcdir)/'`src/c/cerro.c
645 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-cerro.Tpo $(DEPDIR)/libscioutput_stream_la-cerro.Plo
646 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/cerro.c' object='libscioutput_stream_la-cerro.lo' libtool=yes @AMDEPBACKSLASH@
647 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
648 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-cerro.lo `test -f 'src/c/cerro.c' || echo '$(srcdir)/'`src/c/cerro.c
649
650 libscioutput_stream_la-Scierror.lo: src/c/Scierror.c
651 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-Scierror.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-Scierror.Tpo -c -o libscioutput_stream_la-Scierror.lo `test -f 'src/c/Scierror.c' || echo '$(srcdir)/'`src/c/Scierror.c
652 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-Scierror.Tpo $(DEPDIR)/libscioutput_stream_la-Scierror.Plo
653 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/Scierror.c' object='libscioutput_stream_la-Scierror.lo' libtool=yes @AMDEPBACKSLASH@
654 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
655 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-Scierror.lo `test -f 'src/c/Scierror.c' || echo '$(srcdir)/'`src/c/Scierror.c
656
657 libscioutput_stream_la-msgstore.lo: src/c/msgstore.c
658 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-msgstore.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-msgstore.Tpo -c -o libscioutput_stream_la-msgstore.lo `test -f 'src/c/msgstore.c' || echo '$(srcdir)/'`src/c/msgstore.c
659 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-msgstore.Tpo $(DEPDIR)/libscioutput_stream_la-msgstore.Plo
660 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/msgstore.c' object='libscioutput_stream_la-msgstore.lo' libtool=yes @AMDEPBACKSLASH@
661 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
662 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-msgstore.lo `test -f 'src/c/msgstore.c' || echo '$(srcdir)/'`src/c/msgstore.c
663
664 libscioutput_stream_la-msgout.lo: src/c/msgout.c
665 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-msgout.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-msgout.Tpo -c -o libscioutput_stream_la-msgout.lo `test -f 'src/c/msgout.c' || echo '$(srcdir)/'`src/c/msgout.c
666 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-msgout.Tpo $(DEPDIR)/libscioutput_stream_la-msgout.Plo
667 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/msgout.c' object='libscioutput_stream_la-msgout.lo' libtool=yes @AMDEPBACKSLASH@
668 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
669 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-msgout.lo `test -f 'src/c/msgout.c' || echo '$(srcdir)/'`src/c/msgout.c
670
671 libscioutput_stream_la-msgs.lo: src/c/msgs.c
672 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-msgs.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-msgs.Tpo -c -o libscioutput_stream_la-msgs.lo `test -f 'src/c/msgs.c' || echo '$(srcdir)/'`src/c/msgs.c
673 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-msgs.Tpo $(DEPDIR)/libscioutput_stream_la-msgs.Plo
674 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/msgs.c' object='libscioutput_stream_la-msgs.lo' libtool=yes @AMDEPBACKSLASH@
675 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
676 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-msgs.lo `test -f 'src/c/msgs.c' || echo '$(srcdir)/'`src/c/msgs.c
677
678 libscioutput_stream_la-msgstxt.lo: src/c/msgstxt.c
679 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-msgstxt.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-msgstxt.Tpo -c -o libscioutput_stream_la-msgstxt.lo `test -f 'src/c/msgstxt.c' || echo '$(srcdir)/'`src/c/msgstxt.c
680 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-msgstxt.Tpo $(DEPDIR)/libscioutput_stream_la-msgstxt.Plo
681 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/msgstxt.c' object='libscioutput_stream_la-msgstxt.lo' libtool=yes @AMDEPBACKSLASH@
682 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
683 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-msgstxt.lo `test -f 'src/c/msgstxt.c' || echo '$(srcdir)/'`src/c/msgstxt.c
684
685 libscioutput_stream_la-basout.lo: src/c/basout.c
686 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-basout.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-basout.Tpo -c -o libscioutput_stream_la-basout.lo `test -f 'src/c/basout.c' || echo '$(srcdir)/'`src/c/basout.c
687 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-basout.Tpo $(DEPDIR)/libscioutput_stream_la-basout.Plo
688 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/basout.c' object='libscioutput_stream_la-basout.lo' libtool=yes @AMDEPBACKSLASH@
689 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
690 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-basout.lo `test -f 'src/c/basout.c' || echo '$(srcdir)/'`src/c/basout.c
691
692 libscioutput_stream_la-sciprint.lo: src/c/sciprint.c
693 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-sciprint.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-sciprint.Tpo -c -o libscioutput_stream_la-sciprint.lo `test -f 'src/c/sciprint.c' || echo '$(srcdir)/'`src/c/sciprint.c
694 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-sciprint.Tpo $(DEPDIR)/libscioutput_stream_la-sciprint.Plo
695 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/sciprint.c' object='libscioutput_stream_la-sciprint.lo' libtool=yes @AMDEPBACKSLASH@
696 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
697 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-sciprint.lo `test -f 'src/c/sciprint.c' || echo '$(srcdir)/'`src/c/sciprint.c
698
699 libscioutput_stream_la-sciprint_full.lo: src/c/sciprint_full.c
700 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-sciprint_full.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-sciprint_full.Tpo -c -o libscioutput_stream_la-sciprint_full.lo `test -f 'src/c/sciprint_full.c' || echo '$(srcdir)/'`src/c/sciprint_full.c
701 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-sciprint_full.Tpo $(DEPDIR)/libscioutput_stream_la-sciprint_full.Plo
702 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/sciprint_full.c' object='libscioutput_stream_la-sciprint_full.lo' libtool=yes @AMDEPBACKSLASH@
703 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
704 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-sciprint_full.lo `test -f 'src/c/sciprint_full.c' || echo '$(srcdir)/'`src/c/sciprint_full.c
705
706 libscioutput_stream_la-errmds.lo: src/c/errmds.c
707 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-errmds.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-errmds.Tpo -c -o libscioutput_stream_la-errmds.lo `test -f 'src/c/errmds.c' || echo '$(srcdir)/'`src/c/errmds.c
708 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-errmds.Tpo $(DEPDIR)/libscioutput_stream_la-errmds.Plo
709 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/errmds.c' object='libscioutput_stream_la-errmds.lo' libtool=yes @AMDEPBACKSLASH@
710 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
711 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-errmds.lo `test -f 'src/c/errmds.c' || echo '$(srcdir)/'`src/c/errmds.c
712
713 libscioutput_stream_la-errmsg.lo: src/c/errmsg.c
714 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-errmsg.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-errmsg.Tpo -c -o libscioutput_stream_la-errmsg.lo `test -f 'src/c/errmsg.c' || echo '$(srcdir)/'`src/c/errmsg.c
715 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-errmsg.Tpo $(DEPDIR)/libscioutput_stream_la-errmsg.Plo
716 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/errmsg.c' object='libscioutput_stream_la-errmsg.lo' libtool=yes @AMDEPBACKSLASH@
717 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
718 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-errmsg.lo `test -f 'src/c/errmsg.c' || echo '$(srcdir)/'`src/c/errmsg.c
719
720 libscioutput_stream_la-error.lo: src/c/error.c
721 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-error.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-error.Tpo -c -o libscioutput_stream_la-error.lo `test -f 'src/c/error.c' || echo '$(srcdir)/'`src/c/error.c
722 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-error.Tpo $(DEPDIR)/libscioutput_stream_la-error.Plo
723 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/error.c' object='libscioutput_stream_la-error.lo' libtool=yes @AMDEPBACKSLASH@
724 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
725 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-error.lo `test -f 'src/c/error.c' || echo '$(srcdir)/'`src/c/error.c
726
727 libscioutput_stream_la-error_internal.lo: src/c/error_internal.c
728 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-error_internal.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-error_internal.Tpo -c -o libscioutput_stream_la-error_internal.lo `test -f 'src/c/error_internal.c' || echo '$(srcdir)/'`src/c/error_internal.c
729 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-error_internal.Tpo $(DEPDIR)/libscioutput_stream_la-error_internal.Plo
730 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/error_internal.c' object='libscioutput_stream_la-error_internal.lo' libtool=yes @AMDEPBACKSLASH@
731 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
732 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-error_internal.lo `test -f 'src/c/error_internal.c' || echo '$(srcdir)/'`src/c/error_internal.c
733
734 libscioutput_stream_la-do_xxprintf.lo: src/c/do_xxprintf.c
735 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-do_xxprintf.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-do_xxprintf.Tpo -c -o libscioutput_stream_la-do_xxprintf.lo `test -f 'src/c/do_xxprintf.c' || echo '$(srcdir)/'`src/c/do_xxprintf.c
736 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-do_xxprintf.Tpo $(DEPDIR)/libscioutput_stream_la-do_xxprintf.Plo
737 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/do_xxprintf.c' object='libscioutput_stream_la-do_xxprintf.lo' libtool=yes @AMDEPBACKSLASH@
738 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
739 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-do_xxprintf.lo `test -f 'src/c/do_xxprintf.c' || echo '$(srcdir)/'`src/c/do_xxprintf.c
740
741 libscioutput_stream_la-set_xxprintf.lo: src/c/set_xxprintf.c
742 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-set_xxprintf.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-set_xxprintf.Tpo -c -o libscioutput_stream_la-set_xxprintf.lo `test -f 'src/c/set_xxprintf.c' || echo '$(srcdir)/'`src/c/set_xxprintf.c
743 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-set_xxprintf.Tpo $(DEPDIR)/libscioutput_stream_la-set_xxprintf.Plo
744 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/set_xxprintf.c' object='libscioutput_stream_la-set_xxprintf.lo' libtool=yes @AMDEPBACKSLASH@
745 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
746 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-set_xxprintf.lo `test -f 'src/c/set_xxprintf.c' || echo '$(srcdir)/'`src/c/set_xxprintf.c
747
748 libscioutput_stream_la-gw_output_stream.lo: sci_gateway/c/gw_output_stream.c
749 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-gw_output_stream.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-gw_output_stream.Tpo -c -o libscioutput_stream_la-gw_output_stream.lo `test -f 'sci_gateway/c/gw_output_stream.c' || echo '$(srcdir)/'`sci_gateway/c/gw_output_stream.c
750 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-gw_output_stream.Tpo $(DEPDIR)/libscioutput_stream_la-gw_output_stream.Plo
751 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_output_stream.c' object='libscioutput_stream_la-gw_output_stream.lo' libtool=yes @AMDEPBACKSLASH@
752 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
753 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-gw_output_stream.lo `test -f 'sci_gateway/c/gw_output_stream.c' || echo '$(srcdir)/'`sci_gateway/c/gw_output_stream.c
754
755 libscioutput_stream_la-sci_print.lo: sci_gateway/c/sci_print.c
756 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-sci_print.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-sci_print.Tpo -c -o libscioutput_stream_la-sci_print.lo `test -f 'sci_gateway/c/sci_print.c' || echo '$(srcdir)/'`sci_gateway/c/sci_print.c
757 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-sci_print.Tpo $(DEPDIR)/libscioutput_stream_la-sci_print.Plo
758 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_print.c' object='libscioutput_stream_la-sci_print.lo' libtool=yes @AMDEPBACKSLASH@
759 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
760 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-sci_print.lo `test -f 'sci_gateway/c/sci_print.c' || echo '$(srcdir)/'`sci_gateway/c/sci_print.c
761
762 libscioutput_stream_la-sci_mprintf.lo: sci_gateway/c/sci_mprintf.c
763 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-sci_mprintf.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-sci_mprintf.Tpo -c -o libscioutput_stream_la-sci_mprintf.lo `test -f 'sci_gateway/c/sci_mprintf.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mprintf.c
764 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-sci_mprintf.Tpo $(DEPDIR)/libscioutput_stream_la-sci_mprintf.Plo
765 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_mprintf.c' object='libscioutput_stream_la-sci_mprintf.lo' libtool=yes @AMDEPBACKSLASH@
766 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
767 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-sci_mprintf.lo `test -f 'sci_gateway/c/sci_mprintf.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mprintf.c
768
769 libscioutput_stream_la-sci_msprintf.lo: sci_gateway/c/sci_msprintf.c
770 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-sci_msprintf.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-sci_msprintf.Tpo -c -o libscioutput_stream_la-sci_msprintf.lo `test -f 'sci_gateway/c/sci_msprintf.c' || echo '$(srcdir)/'`sci_gateway/c/sci_msprintf.c
771 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-sci_msprintf.Tpo $(DEPDIR)/libscioutput_stream_la-sci_msprintf.Plo
772 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_msprintf.c' object='libscioutput_stream_la-sci_msprintf.lo' libtool=yes @AMDEPBACKSLASH@
773 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
774 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-sci_msprintf.lo `test -f 'sci_gateway/c/sci_msprintf.c' || echo '$(srcdir)/'`sci_gateway/c/sci_msprintf.c
775
776 libscioutput_stream_la-sci_disp.lo: sci_gateway/c/sci_disp.c
777 @am__fastdepCC_TRUE@    $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -MT libscioutput_stream_la-sci_disp.lo -MD -MP -MF $(DEPDIR)/libscioutput_stream_la-sci_disp.Tpo -c -o libscioutput_stream_la-sci_disp.lo `test -f 'sci_gateway/c/sci_disp.c' || echo '$(srcdir)/'`sci_gateway/c/sci_disp.c
778 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/libscioutput_stream_la-sci_disp.Tpo $(DEPDIR)/libscioutput_stream_la-sci_disp.Plo
779 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_disp.c' object='libscioutput_stream_la-sci_disp.lo' libtool=yes @AMDEPBACKSLASH@
780 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
781 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscioutput_stream_la_CFLAGS) $(CFLAGS) -c -o libscioutput_stream_la-sci_disp.lo `test -f 'sci_gateway/c/sci_disp.c' || echo '$(srcdir)/'`sci_gateway/c/sci_disp.c
782
783 .f.o:
784         $(F77COMPILE) -c -o $@ $<
785
786 .f.obj:
787         $(F77COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
788
789 .f.lo:
790         $(LTF77COMPILE) -c -o $@ $<
791
792 wspdsp.lo: src/fortran/wspdsp.f
793         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o wspdsp.lo `test -f 'src/fortran/wspdsp.f' || echo '$(srcdir)/'`src/fortran/wspdsp.f
794
795 wmdsp.lo: src/fortran/wmdsp.f
796         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o wmdsp.lo `test -f 'src/fortran/wmdsp.f' || echo '$(srcdir)/'`src/fortran/wmdsp.f
797
798 strdsp.lo: src/fortran/strdsp.f
799         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o strdsp.lo `test -f 'src/fortran/strdsp.f' || echo '$(srcdir)/'`src/fortran/strdsp.f
800
801 prntid.lo: src/fortran/prntid.f
802         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o prntid.lo `test -f 'src/fortran/prntid.f' || echo '$(srcdir)/'`src/fortran/prntid.f
803
804 print.lo: src/fortran/print.f
805         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o print.lo `test -f 'src/fortran/print.f' || echo '$(srcdir)/'`src/fortran/print.f
806
807 lspdsp.lo: src/fortran/lspdsp.f
808         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o lspdsp.lo `test -f 'src/fortran/lspdsp.f' || echo '$(srcdir)/'`src/fortran/lspdsp.f
809
810 fmttyp.lo: src/fortran/fmttyp.f
811         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o fmttyp.lo `test -f 'src/fortran/fmttyp.f' || echo '$(srcdir)/'`src/fortran/fmttyp.f
812
813 fmt.lo: src/fortran/fmt.f
814         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o fmt.lo `test -f 'src/fortran/fmt.f' || echo '$(srcdir)/'`src/fortran/fmt.f
815
816 dspdsp.lo: src/fortran/dspdsp.f
817         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dspdsp.lo `test -f 'src/fortran/dspdsp.f' || echo '$(srcdir)/'`src/fortran/dspdsp.f
818
819 dmrdsp.lo: src/fortran/dmrdsp.f
820         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dmrdsp.lo `test -f 'src/fortran/dmrdsp.f' || echo '$(srcdir)/'`src/fortran/dmrdsp.f
821
822 dmpdsp.lo: src/fortran/dmpdsp.f
823         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dmpdsp.lo `test -f 'src/fortran/dmpdsp.f' || echo '$(srcdir)/'`src/fortran/dmpdsp.f
824
825 dmdspf.lo: src/fortran/dmdspf.f
826         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dmdspf.lo `test -f 'src/fortran/dmdspf.f' || echo '$(srcdir)/'`src/fortran/dmdspf.f
827
828 dmdsp.lo: src/fortran/dmdsp.f
829         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dmdsp.lo `test -f 'src/fortran/dmdsp.f' || echo '$(srcdir)/'`src/fortran/dmdsp.f
830
831 dldsp.lo: src/fortran/dldsp.f
832         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o dldsp.lo `test -f 'src/fortran/dldsp.f' || echo '$(srcdir)/'`src/fortran/dldsp.f
833
834 basouttofile.lo: src/fortran/basouttofile.f
835         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o basouttofile.lo `test -f 'src/fortran/basouttofile.f' || echo '$(srcdir)/'`src/fortran/basouttofile.f
836
837 formatnumber.lo: src/fortran/formatnumber.f
838         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o formatnumber.lo `test -f 'src/fortran/formatnumber.f' || echo '$(srcdir)/'`src/fortran/formatnumber.f
839
840 intprint.lo: sci_gateway/fortran/intprint.f
841         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intprint.lo `test -f 'sci_gateway/fortran/intprint.f' || echo '$(srcdir)/'`sci_gateway/fortran/intprint.f
842
843 intdisp.lo: sci_gateway/fortran/intdisp.f
844         $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intdisp.lo `test -f 'sci_gateway/fortran/intdisp.f' || echo '$(srcdir)/'`sci_gateway/fortran/intdisp.f
845
846 mostlyclean-libtool:
847         -rm -f *.lo
848
849 clean-libtool:
850         -rm -rf .libs _libs
851 install-libscioutput_stream_la_etcDATA: $(libscioutput_stream_la_etc_DATA)
852         @$(NORMAL_INSTALL)
853         test -z "$(libscioutput_stream_la_etcdir)" || $(MKDIR_P) "$(DESTDIR)$(libscioutput_stream_la_etcdir)"
854         @list='$(libscioutput_stream_la_etc_DATA)'; for p in $$list; do \
855           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
856           f=$(am__strip_dir) \
857           echo " $(libscioutput_stream_la_etcDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(libscioutput_stream_la_etcdir)/$$f'"; \
858           $(libscioutput_stream_la_etcDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(libscioutput_stream_la_etcdir)/$$f"; \
859         done
860
861 uninstall-libscioutput_stream_la_etcDATA:
862         @$(NORMAL_UNINSTALL)
863         @list='$(libscioutput_stream_la_etc_DATA)'; for p in $$list; do \
864           f=$(am__strip_dir) \
865           echo " rm -f '$(DESTDIR)$(libscioutput_stream_la_etcdir)/$$f'"; \
866           rm -f "$(DESTDIR)$(libscioutput_stream_la_etcdir)/$$f"; \
867         done
868 install-libscioutput_stream_la_rootDATA: $(libscioutput_stream_la_root_DATA)
869         @$(NORMAL_INSTALL)
870         test -z "$(libscioutput_stream_la_rootdir)" || $(MKDIR_P) "$(DESTDIR)$(libscioutput_stream_la_rootdir)"
871         @list='$(libscioutput_stream_la_root_DATA)'; for p in $$list; do \
872           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
873           f=$(am__strip_dir) \
874           echo " $(libscioutput_stream_la_rootDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(libscioutput_stream_la_rootdir)/$$f'"; \
875           $(libscioutput_stream_la_rootDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(libscioutput_stream_la_rootdir)/$$f"; \
876         done
877
878 uninstall-libscioutput_stream_la_rootDATA:
879         @$(NORMAL_UNINSTALL)
880         @list='$(libscioutput_stream_la_root_DATA)'; for p in $$list; do \
881           f=$(am__strip_dir) \
882           echo " rm -f '$(DESTDIR)$(libscioutput_stream_la_rootdir)/$$f'"; \
883           rm -f "$(DESTDIR)$(libscioutput_stream_la_rootdir)/$$f"; \
884         done
885 install-libscioutput_stream_la_sci_gatewayDATA: $(libscioutput_stream_la_sci_gateway_DATA)
886         @$(NORMAL_INSTALL)
887         test -z "$(libscioutput_stream_la_sci_gatewaydir)" || $(MKDIR_P) "$(DESTDIR)$(libscioutput_stream_la_sci_gatewaydir)"
888         @list='$(libscioutput_stream_la_sci_gateway_DATA)'; for p in $$list; do \
889           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
890           f=$(am__strip_dir) \
891           echo " $(libscioutput_stream_la_sci_gatewayDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(libscioutput_stream_la_sci_gatewaydir)/$$f'"; \
892           $(libscioutput_stream_la_sci_gatewayDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(libscioutput_stream_la_sci_gatewaydir)/$$f"; \
893         done
894
895 uninstall-libscioutput_stream_la_sci_gatewayDATA:
896         @$(NORMAL_UNINSTALL)
897         @list='$(libscioutput_stream_la_sci_gateway_DATA)'; for p in $$list; do \
898           f=$(am__strip_dir) \
899           echo " rm -f '$(DESTDIR)$(libscioutput_stream_la_sci_gatewaydir)/$$f'"; \
900           rm -f "$(DESTDIR)$(libscioutput_stream_la_sci_gatewaydir)/$$f"; \
901         done
902 install-libscioutput_stream_la_includeHEADERS: $(libscioutput_stream_la_include_HEADERS)
903         @$(NORMAL_INSTALL)
904         test -z "$(libscioutput_stream_la_includedir)" || $(MKDIR_P) "$(DESTDIR)$(libscioutput_stream_la_includedir)"
905         @list='$(libscioutput_stream_la_include_HEADERS)'; for p in $$list; do \
906           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
907           f=$(am__strip_dir) \
908           echo " $(libscioutput_stream_la_includeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(libscioutput_stream_la_includedir)/$$f'"; \
909           $(libscioutput_stream_la_includeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(libscioutput_stream_la_includedir)/$$f"; \
910         done
911
912 uninstall-libscioutput_stream_la_includeHEADERS:
913         @$(NORMAL_UNINSTALL)
914         @list='$(libscioutput_stream_la_include_HEADERS)'; for p in $$list; do \
915           f=$(am__strip_dir) \
916           echo " rm -f '$(DESTDIR)$(libscioutput_stream_la_includedir)/$$f'"; \
917           rm -f "$(DESTDIR)$(libscioutput_stream_la_includedir)/$$f"; \
918         done
919
920 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
921         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
922         unique=`for i in $$list; do \
923             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
924           done | \
925           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
926               END { if (nonempty) { for (i in files) print i; }; }'`; \
927         mkid -fID $$unique
928 tags: TAGS
929
930 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
931                 $(TAGS_FILES) $(LISP)
932         tags=; \
933         here=`pwd`; \
934         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
935         unique=`for i in $$list; do \
936             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
937           done | \
938           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
939               END { if (nonempty) { for (i in files) print i; }; }'`; \
940         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
941           test -n "$$unique" || unique=$$empty_fix; \
942           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
943             $$tags $$unique; \
944         fi
945 ctags: CTAGS
946 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
947                 $(TAGS_FILES) $(LISP)
948         tags=; \
949         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
950         unique=`for i in $$list; do \
951             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
952           done | \
953           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
954               END { if (nonempty) { for (i in files) print i; }; }'`; \
955         test -z "$(CTAGS_ARGS)$$tags$$unique" \
956           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
957              $$tags $$unique
958
959 GTAGS:
960         here=`$(am__cd) $(top_builddir) && pwd` \
961           && cd $(top_srcdir) \
962           && gtags -i $(GTAGS_ARGS) $$here
963
964 distclean-tags:
965         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
966
967 distdir: $(DISTFILES)
968         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
969         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
970         list='$(DISTFILES)'; \
971           dist_files=`for file in $$list; do echo $$file; done | \
972           sed -e "s|^$$srcdirstrip/||;t" \
973               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
974         case $$dist_files in \
975           */*) $(MKDIR_P) `echo "$$dist_files" | \
976                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
977                            sort -u` ;; \
978         esac; \
979         for file in $$dist_files; do \
980           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
981           if test -d $$d/$$file; then \
982             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
983             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
984               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
985             fi; \
986             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
987           else \
988             test -f $(distdir)/$$file \
989             || cp -p $$d/$$file $(distdir)/$$file \
990             || exit 1; \
991           fi; \
992         done
993 check-am: all-am
994         $(MAKE) $(AM_MAKEFLAGS) check-local
995 check: check-am
996 all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS) all-local
997 installdirs:
998         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscioutput_stream_la_etcdir)" "$(DESTDIR)$(libscioutput_stream_la_rootdir)" "$(DESTDIR)$(libscioutput_stream_la_sci_gatewaydir)" "$(DESTDIR)$(libscioutput_stream_la_includedir)"; do \
999           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1000         done
1001 install: install-am
1002 install-exec: install-exec-am
1003 install-data: install-data-am
1004 uninstall: uninstall-am
1005
1006 install-am: all-am
1007         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1008
1009 installcheck: installcheck-am
1010 install-strip:
1011         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1012           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1013           `test -z '$(STRIP)' || \
1014             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
1015 mostlyclean-generic:
1016
1017 clean-generic:
1018
1019 distclean-generic:
1020         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1021
1022 maintainer-clean-generic:
1023         @echo "This command is intended for maintainers to use"
1024         @echo "it deletes files that may require special tools to rebuild."
1025 clean: clean-am
1026
1027 clean-am: clean-generic clean-libtool clean-local \
1028         clean-pkglibLTLIBRARIES mostlyclean-am
1029
1030 distclean: distclean-am
1031         -rm -rf ./$(DEPDIR)
1032         -rm -f Makefile
1033 distclean-am: clean-am distclean-compile distclean-generic \
1034         distclean-local distclean-tags
1035
1036 dvi: dvi-am
1037
1038 dvi-am:
1039
1040 html: html-am
1041
1042 info: info-am
1043
1044 info-am:
1045
1046 install-data-am: install-data-local \
1047         install-libscioutput_stream_la_etcDATA \
1048         install-libscioutput_stream_la_includeHEADERS \
1049         install-libscioutput_stream_la_rootDATA \
1050         install-libscioutput_stream_la_sci_gatewayDATA
1051
1052 install-dvi: install-dvi-am
1053
1054 install-exec-am: install-pkglibLTLIBRARIES
1055
1056 install-html: install-html-am
1057
1058 install-html-am: install-html-local
1059
1060 install-info: install-info-am
1061
1062 install-man:
1063
1064 install-pdf: install-pdf-am
1065
1066 install-ps: install-ps-am
1067
1068 installcheck-am:
1069
1070 maintainer-clean: maintainer-clean-am
1071         -rm -rf ./$(DEPDIR)
1072         -rm -f Makefile
1073 maintainer-clean-am: distclean-am maintainer-clean-generic
1074
1075 mostlyclean: mostlyclean-am
1076
1077 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1078         mostlyclean-libtool
1079
1080 pdf: pdf-am
1081
1082 pdf-am:
1083
1084 ps: ps-am
1085
1086 ps-am:
1087
1088 uninstall-am: uninstall-libscioutput_stream_la_etcDATA \
1089         uninstall-libscioutput_stream_la_includeHEADERS \
1090         uninstall-libscioutput_stream_la_rootDATA \
1091         uninstall-libscioutput_stream_la_sci_gatewayDATA \
1092         uninstall-pkglibLTLIBRARIES
1093
1094 .MAKE: install-am install-strip
1095
1096 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1097         clean clean-generic clean-libtool clean-local \
1098         clean-pkglibLTLIBRARIES ctags distclean distclean-compile \
1099         distclean-generic distclean-libtool distclean-local \
1100         distclean-tags distdir dvi dvi-am html html-am info info-am \
1101         install install-am install-data install-data-am \
1102         install-data-local install-dvi install-dvi-am install-exec \
1103         install-exec-am install-html install-html-am \
1104         install-html-local install-info install-info-am \
1105         install-libscioutput_stream_la_etcDATA \
1106         install-libscioutput_stream_la_includeHEADERS \
1107         install-libscioutput_stream_la_rootDATA \
1108         install-libscioutput_stream_la_sci_gatewayDATA install-man \
1109         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1110         install-ps install-ps-am install-strip installcheck \
1111         installcheck-am installdirs maintainer-clean \
1112         maintainer-clean-generic mostlyclean mostlyclean-compile \
1113         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1114         tags uninstall uninstall-am \
1115         uninstall-libscioutput_stream_la_etcDATA \
1116         uninstall-libscioutput_stream_la_includeHEADERS \
1117         uninstall-libscioutput_stream_la_rootDATA \
1118         uninstall-libscioutput_stream_la_sci_gatewayDATA \
1119         uninstall-pkglibLTLIBRARIES
1120
1121
1122 # This target enables tests for Scilab
1123 check-local: $(top_builddir)/scilab-bin
1124         @COMMAND="test_run('$(modulename)');quit";\
1125         export LANG=C;\
1126         $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"
1127 check-code:
1128         @if test -f build.xml; then \
1129                 $(ANT) checkstyle; \
1130         fi;\
1131         splint $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC)
1132 @NEED_JAVA_TRUE@java:
1133 # Some configurations needs to export JAVA_HOME in the current env
1134 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1135 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1136 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1137 @NEED_JAVA_TRUE@                $(ANT); \
1138 @NEED_JAVA_TRUE@        fi
1139
1140 @NEED_JAVA_TRUE@clean-java:
1141 # Some configurations needs to export JAVA_HOME in the current env
1142 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1143 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1144 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1145 @NEED_JAVA_TRUE@                $(ANT) clean; \
1146 @NEED_JAVA_TRUE@        fi;
1147
1148 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1149 # We call the target swig-build on the variable SWIG_WRAPPERS
1150
1151 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1152 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1153 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1154 @SWIG_TRUE@     if test ! -z "$(SWIG_WRAPPERS)"; then \
1155 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1156 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1157 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1158 @SWIG_TRUE@             done; \
1159 @SWIG_TRUE@     fi
1160
1161 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1162 # We call the target swig-build on the variable SWIG_WRAPPERS
1163
1164 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1165 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1166 @GIWS_TRUE@     if test ! -z "$(GIWS_WRAPPERS)"; then \
1167 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1168 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1169 @GIWS_TRUE@                     $(GIWS_BIN) --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1170 @GIWS_TRUE@             done; \
1171 @GIWS_TRUE@     fi
1172
1173 macros:
1174         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1175                 echo "Error : Cannot build $< : Scilab has not been built"; \
1176         else \
1177                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1178         fi)
1179
1180 # Removes the macros
1181 clean-macros:
1182 # Removes macros (*.bin generated from .sci)
1183         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1184                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1185                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1186         done
1187
1188 all-local: $(TARGETS_ALL)
1189
1190 .sci.bin:
1191         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1192         echo "Error : Cannot build $< : Scilab has not been build"; \
1193         else \
1194         echo "Creating $@"; \
1195         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1196         fi )
1197
1198 install-html-local:
1199 # If the user wants the help sources to be installed
1200 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1201 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1202 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1203 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1204 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1205 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1206 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1207 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1208 @INSTALL_HELP_XML_TRUE@           done ; \
1209 @INSTALL_HELP_XML_TRUE@         fi; \
1210 @INSTALL_HELP_XML_TRUE@  fi; \
1211 @INSTALL_HELP_XML_TRUE@ done; \
1212 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1213 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1214 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1215 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1216 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1217 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1218 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1219 @INSTALL_HELP_XML_TRUE@           done ; \
1220 @INSTALL_HELP_XML_TRUE@         fi; \
1221 @INSTALL_HELP_XML_TRUE@ fi
1222 install-data-local:
1223 # Install the tests
1224         @echo "-------- Install tests (if any) --------"; \
1225         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1226           if test -d $(srcdir)/$$dir/; then \
1227             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1228                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1229                     if test -d "$(srcdir)/$$dir/$$file"; then \
1230                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1231                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1232                     else \
1233                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1234                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1235                     fi \
1236                   done; \
1237           fi; \
1238         done
1239 # Install the help chapter
1240         @echo "-------- Install the help chapter (if any) --------"; \
1241         for lang in $(HELP_CHAPTERLANG); do \
1242                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1243                 if test -f $$HELPFILE; then \
1244                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1245                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1246                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1247                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1248                 fi; \
1249         done
1250 # Install the demos & examples
1251         @echo "-------- Install demos & examples (if any) --------"; \
1252         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1253           if test -d $(srcdir)/$$dir/; then \
1254             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1255                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1256                     if test -d "$(srcdir)/$$dir/$$file"; then \
1257                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1258                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1259                     else \
1260                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1261                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1262                     fi \
1263                   done; \
1264           fi; \
1265         done
1266 # Install the macros
1267         @echo "-------- Install macros (if any) --------"; \
1268         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1269           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1270                 if test -d $(srcdir)/$$dir/; then \
1271                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1272                         for specialExt in $(MACROSSPECIALEXT); do \
1273                                 specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1274                         done; \
1275                         FILELIST="$$FILELIST $$specialExtDir"; \
1276                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1277                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1278                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1279                   done; \
1280                 fi; \
1281         done
1282 # Install java files (.jar)
1283         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1284         echo "-------- Install jar files --------"; \
1285     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1286           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1287                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1288                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1289           done ; \
1290         fi
1291
1292 ########### CLEAN ###################
1293 # Clean macros and help (generated automatically by Scilab)
1294 @NEED_JAVA_TRUE@clean-local: clean-java clean-macros
1295 @NEED_JAVA_FALSE@clean-local: clean-macros
1296
1297 distclean-local:
1298         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1299
1300 .PHONY: macros java swig giws
1301 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1302 # Otherwise a system limit (for SysV at least) may be exceeded.
1303 .NOEXPORT: